Index: trunk/BNC/bnc.pro
===================================================================
--- trunk/BNC/bnc.pro	(revision 198)
+++ trunk/BNC/bnc.pro	(revision 199)
@@ -27,4 +27,6 @@
           RTIGS/rtigs.cpp RTIGS/cgps_transform.cpp
 
+RC_FILE = bnc.rc
+
 QT += network
 
Index: trunk/BNC/bnc.rc
===================================================================
--- trunk/BNC/bnc.rc	(revision 199)
+++ trunk/BNC/bnc.rc	(revision 199)
@@ -0,0 +1,1 @@
+IDI_ICON1            ICON          DISCARDABLE     "ntrip-logo.ico"
Index: trunk/BNC/bncapp.cpp
===================================================================
--- trunk/BNC/bncapp.cpp	(revision 198)
+++ trunk/BNC/bncapp.cpp	(revision 199)
@@ -64,5 +64,5 @@
 
   if (_logStream) {
-    *_logStream << QTime::currentTime().toString("hh:mm::ss ").toAscii().data();
+    *_logStream << QTime::currentTime().toString("hh:mm:ss ").toAscii().data();
     *_logStream << msg.data() << endl;
     _logStream->flush();
Index: trunk/BNC/bncgetthread.cpp
===================================================================
--- trunk/BNC/bncgetthread.cpp	(revision 198)
+++ trunk/BNC/bncgetthread.cpp	(revision 199)
@@ -83,9 +83,20 @@
   hlp.setPath(mountPoint.path());
 
-  QByteArray  reqStr = "GET " + hlp.toEncoded() + 
-                       " HTTP/1.0\r\n"
-                       "User-Agent: NTRIP BNC 1.0\r\n"
-                       "Authorization: Basic " +
-                       userAndPwd.toBase64() + "\r\n\r\n";
+  QByteArray reqStr;
+  if ( proxyHost.isEmpty() ) {
+  if (hlp.path().indexOf("/") != 0) hlp.setPath("/");
+  reqStr = "GET " + hlp.path().toAscii() + 
+           " HTTP/1.0\r\n"
+           "User-Agent: NTRIP BNC 1.0\r\n"
+           "Authorization: Basic " +
+           userAndPwd.toBase64() + "\r\n\r\n";
+                             } else 
+                             {
+  reqStr = "GET " + hlp.toEncoded() + 
+           " HTTP/1.0\r\n"
+           "User-Agent: NTRIP BNC 1.0\r\n"
+           "Authorization: Basic " +
+           userAndPwd.toBase64() + "\r\n\r\n";
+                             }
 
   msg += reqStr;
Index: trunk/BNC/bnchelp.html
===================================================================
--- trunk/BNC/bnchelp.html	(revision 198)
+++ trunk/BNC/bnchelp.html	(revision 199)
@@ -1,4 +1,3 @@
-
-<p><h3>BKG Ntrip Client (BNC)</h3></p>
+<h3>BKG Ntrip Client (BNC)</h3>
 
 <p>
@@ -8,7 +7,9 @@
 BNC has been developed for the Federal Agency for Cartography and Geodesy (BKG) within the framework of the EUREF-IP Pilot Project (EUREF-IP) and the Real-Time IGS Working Group (RTIGS).
 </p>
-
-<p>
+<p>
+BNC is written under GNU General Public License (GPL). Binaries for BNC are available for Windows, Linux, and Solaris systems. It is likely that BNC can be compiled on other systems where a GNU compiler and Qt Version 4 are available.
+</p>
 <h3>Contents</h3>
+<p>
 <h4>
 <a href=#purpose>A - Purpose</a><br>
@@ -29,6 +30,6 @@
 <ul>
 <li>Retrieve real-time GNSS data streams available through NTRIP transport protocol,</li> 
-<li>Generate high-rate RINEX files to feed near real-time GNSS post-processing applications, and/or</li> 
-<li>Output synchronize observations through an IP port to feed real-time GNSS engines.</li> 
+<li>Generate high-rate RINEX files to support near real-time GNSS post-processing applications, and/or</li> 
+<li>Output synchronize observations through an IP port to support real-time GNSS engines.</li> 
 </ul>
 <p>
@@ -41,10 +42,4 @@
 </ul>
 </p>
-
-<p>
-BNC has been developed under GNU General Public License (GPL). Binaries for BNC are available for Windows, Linux, and Solaris systems. It is likely that BNC can be compiled on other systems where a GNU compiler and Qt Version 4 are available.
-</p>
-
-<br>
 <a name="options">
 <p><h3>B - Options</h3></p>
@@ -69,4 +64,5 @@
 &nbsp; &nbsp; &nbsp; B - 6.4. <a href=#GetTable>Get Table</a><br>
 &nbsp; &nbsp; &nbsp; B - 6.5. <a href=#delete>Delete Mountpoints</a><br>
+&nbsp; &nbsp; &nbsp; B - 6.6. <a href=#edit>Edit Mountpoints</a><br>
 B - 7. <a href=#log>Log File</a><br>
 B - 8. <a href=#start>Start</a><br>
@@ -83,5 +79,5 @@
 <li>
 Select an appropriate font.<br>
-Use a small font size in case the BNC window exceeds the size of your screen.
+Use a small font size if the BNC main window exceeds the size of your screen.
 </li> 
 <li> Save selected options.<br>
@@ -115,5 +111,5 @@
 
 <p>
-You may like to run BNC in a Local Area Network (LAN) environment. LAN's are often protected by a proxy server. Enter your proxy server IP and port number in case one is operated in front of BNC. If you don't know the IP and port of your proxy server, check out the proxy server settings of your Windows browser or ask your network administrator.</p>
+You may like to run BNC in a Local Area Network (LAN). LAN's are often protected by a proxy server. Enter your proxy server IP and port number in case one is operated in front of BNC. If you don't know the IP and port of your proxy server, check out the proxy server settings of your Windows browser or ask your network administrator.</p>
 <p>
 Note that IP streaming may be generally denied in a LAN. In such a case you need to request an appropriate modification of the security policy from your network administrator or ask for the installation of a TCP relay to involved NTRIP broadcasters. If that doesn't work out, run BNC on a host that is connected to the Internet through an Internet Service Provider (ISP).
@@ -122,5 +118,5 @@
 <a name="output"> <p><h4>B - 4. Synchronized Output</h4></p>
 <p>
-BNC lets you output synchronized observations epoch by epoch. This output is made available in ASCII format and in binary format. The output comprises the following observations if available:</p>
+BNC lets you output synchronized observations epoch by epoch. This output is made available in ASCII format and in a binary format. The output comprises the following observations if available:</p>
 StatID, SVPRN, GPSWeek, GPSWeeks, sec, C1, P2, L1, L2, SNR1, SNR2, pCodeIndicator, cumuLossOfCont.
 </p>
@@ -129,9 +125,5 @@
 <p><h4>B - 4.1 Wait for Full Epoch - optional</h4></p>
 <p>
-When feeding a real-time GNSS engine waiting for input from BNC epoch by
-epoch, BNC ignores whatever is received later then 'Wait for full epoch'
-seconds. A value of 2 to 5 seconds may be an appropriate choice for that,
-depending on the delay you can accept for your real-time product. Default
-value for 'Wait for full ecpch' is 1 second.
+When feeding a real-time GNSS engine waiting for input epoch by epoch, BNC ignores whatever is received later then 'Wait for full epoch' seconds. A value of 2 to 5 seconds may be an appropriate choice for that, depending on the delay you can accept for your real-time GNSS product. Default value for 'Wait for full ecpch' is 1 second.
 </p>
 <p>
@@ -142,5 +134,5 @@
 <p><h4>B - 4.2 ASCII Output File - optional</h4></p>
 <p>
-Enter the full path for a file to save synchronized observations in plain ASCII format. Default value is an empty option field, meaning that no ASCII output file is generated.
+Enter the full path for a file to save synchronized observations in plain ASCII format. Default value is an empty option field, meaning that no ASCII output file is created.
 </p>
 
@@ -148,9 +140,6 @@
 <p><h4>B - 4.3 Port for Binary Output - optional</h4></p>
 <p>
-BNC makes synchronized observations available in a binary format through an IP
-port. Enter the port number to activate this function. Default is an empty
-option field, meaning that no binary output is generated.
-</p>
-<p>The Binary output is provided as a continuous stream
+BNC makes synchronized observations available in a binary format through an IP port on your local host IP 127.0.0.1. Enter the port number to activate this function. Default is an empty option field, meaning that no binary output is generated.</p>
+<p>The binary output is provided as a continuous stream in the order</p>
 <pre>
 begEpoch
@@ -166,5 +155,5 @@
 ...
 </pre>
-where the corresponding structures are defined as
+<p>where the corresponding structures are defined as</p>
 <pre>
 const char begEpoch = 'A';
@@ -187,5 +176,4 @@
 } ;
 </pre>
-</p> 
 
 <a name="rinex">
@@ -194,5 +182,8 @@
 Observations are converted to RINEX Version 2.1. RINEX file names are derived by BNC from the first 4 characters of the corresponding mountpoint (4Char Station ID) while truncating the residual part of the mountpoint string. Thus, retrieving data from mountpoints FRANKFURT and WETTZELL leads to RINEX files named FRAN*.* and WETT*.*.</p>
 <p>
-In case you retrieve streams that show mountpoints with an identical 4Char Station ID (same first 4 characters), the mountpoint string is split in two sub-strings and both become part of the RINEX file name. Example: When simultaneously retrieving data from mountpoints FRANKFURT and FRANCE, there RINEX file names are defined as FRAN*_KFURT.* and FRAN*_CE.*.
+If you retrieve streams that show mountpoints with an identical 4Char Station ID (same first 4 characters), the mountpoint string is split in two sub-strings and both become part of the RINEX file name. Example: When simultaneously retrieving data from mountpoints FRANKFURT and FRANCE, there RINEX file names are defined as FRAN*_KFURT.* and FRAN*_CE.*.
+</p>
+<p>
+Note that RINEX file names for file intervals less than 1 hour are created following the file name convention for 15 minute RINEX files.
 </p>
 
@@ -200,11 +191,11 @@
 <p><h4>B - 5.1 RINEX Directory Path - optional</h4></p>
 <p>
-Enter a path for saving the RINEX files in a directory. If this directory does not exist, BNC will not generate RINEX files. Default value for 'RINEX directory path' is an empty option field, meaning that streams are not converted to RINEX.
+Enter a path for saving the RINEX files in a directory. If this directory does not exist, BNC will not create RINEX files. Default value for 'RINEX directory path' is an empty option field, meaning that streams are not converted to RINEX.
 </p> 
 
 <a name="rnxscript">
-<p><h4>B - 5.2 RINEX Script</h4></p>
-<p>
-Whenever a RINEX file is generated, you may like to compress, copy, or upload it immediately. For that you enter the full path of a script or batch file carrying out these operations. The RINEX file name will be passed to the script as a command line parameter.
+<p><h4>B - 5.2 RINEX Script - optional</h4></p>
+<p>
+Whenever a RINEX file is generated, you may like to compress, copy, or upload it immediately. For that you enter the full path of a script or batch file carrying out these operations. The RINEX file path and name will be passed to the script as a command line parameter (%1 on Windows systems, $1 on UNIX/Linux systems).
 </p> 
 
@@ -224,9 +215,22 @@
 <p><h4>B - 5.5 RINEX Skeleton Extension - optional</h4></p>
 <p>
-BNC lets you introduce RINEX skeleton files that contain the header records you would like to see instead of a default header. You may like to derive RINEX skeleton files from the information given in sitelogs. A file in the 'RINEX directory path' with the 'RINEX skeleton extension' is understood by BNC as a RINEX skeleton file for the affected stream.
-</p>
-<p>
-Example: Mountpoint FRAN0 leads to the generation of RINEX files FRAN*.*. The header part of this files would be overwritten by the content of an existing skeleton file FRAN.skl in case 'RINEX skeleton extension' is set to 'skl' .
-</p> 
+BNC lets you introduce RINEX header skeleton files that contain the header records you would like to see instead of a default header. You may like to derive RINEX skeleton files from the information given in sitelogs. A file in the 'RINEX directory path' with the 'RINEX skeleton extension' is understood by BNC as a RINEX header skeleton file for the affected stream.
+</p>
+<p>
+Example: Mountpoint FRAN0 leads to the generation of RINEX files FRAN*.*. The header part of this files would be overwritten by the content of an existing skeleton file named FRAN.skl if 'RINEX skeleton extension' is set to 'skl' .
+</p> 
+<p> 
+Note the following conditions regarding RINEX header skeleton files.
+<ul>
+<li>They should contain empty header records of type:</li>
+<br>&nbsp; &nbsp; PGM / RUN BY / DATE
+<br>&nbsp; &nbsp; # / TYPES OF OBSERVATIONS
+<br>&nbsp; &nbsp; TIME OF FIRST OBS
+<br>The existence of these empty records will force BNC to include such lines in the final RINEX file header together with an additional COMMENT line mentioning the source of the stream.
+<li>They must contain an empty header record of type:</li>
+<br>&nbsp; &nbsp; END OF HEADER
+<li>They may contain any other complete header record as defined in the RINEX Version 2.1 documentation. Its contents may be derived from sitelog files.</li>
+</ul>
+<p> 
 
 <a name="mountpoints">
@@ -239,5 +243,5 @@
 <p><h4>B - 6.1 Add Mountpoints</h4></p>
 <p>
-Button 'Add Mountpoints' opens a window that lets you select data streams by their mountpoints.
+Button 'Add Mountpoints' opens a window that lets you select data streams from an NTRIP broadcaster by their mountpoints.
 </p> 
 
@@ -257,5 +261,5 @@
 <p><h4>B - 6.4 Get Table</h4></p>
 <p>
-Hit button 'Get Table' to download a sourcetable from the NTRIP broadcaster. Pay attention to data fields 'format' and 'format-details'. Remember that BNC can only decode and convert streams that come in RTCM 2.x, RTCM 3, or RTIGS format. RTCM 2.x streams must contain message types 18 and 19 while RTCM 3 streams must contain message types 1001 or 1003, better 1003 or 1004, see data field 'format-details' for available message types and their repetition rates in brackets. Select your streams line by line, use +Shift and +Ctrl when necessary. Hit 'OK' to return to the main window.
+Hit button 'Get Table' to download the sourcetable from the NTRIP broadcaster. Pay attention to data fields 'format' and 'format-details'. Have in mind that BNC can only decode and convert streams that come in RTCM 2.x, RTCM 3, or RTIGS format. RTCM 2.x streams must contain message types 18 and 19 while RTCM 3 streams must contain message types 1001 or 1003, better 1003 or 1004, see data field 'format-details' for available message types and their repetition rates in brackets. Select your streams line by line, use +Shift and +Ctrl when necessary. Hit 'OK' to return to the main window.
 </p> 
 
@@ -263,5 +267,8 @@
 <p><h4>B - 6.5 Delete Mountpoints</h4></p>
 <p>
-To delete a stream shown under 'Mountpoints' in the main window select it by mouse click and then hit 'Delete Mountpoints'. For simultaneous deletion of several streams single them out through using +Shift and +Ctrl.</p>
+To delete a stream shown under 'Mountpoints' in the main window select it by mouse click and hit 'Delete Mountpoints'. For simultaneous deletion of several streams single them out through using +Shift and +Ctrl.</p>
+
+<a name="edit">
+<p><h4>B - 6.6 Edit Mountpoints</h4></p>
 <p>
 BNC automatically selects one out of several internal decoders for a stream based on its 'format' and 'format-details' as given in the sourcetable. It may happen that you need to overrule the automated decoder selection because of sourcetable setup deficiencies. Therefore BNC allows to edit the decoder part for each stream shown under 'Mountpoints'. Accepted decoder strings allowed to be introduced are 'RTCM_2.x', 'RTCM_3', and 'RTIGS'.
@@ -271,9 +278,6 @@
 <p><h4>B - 7. Log File - optional</h4></p>
 <p>
-BNC's comments its activities in the 'Log file' section on the main windows. Comments can be saved and concatenated in a file when entering a full path for 'Log file'. Information is given about the communication between BNC and the NTRIP broadcaster as well as about problems that occur concerning communication link, stream availability, stream delay, stream conversion etc. Default value for 'Log file' is an empty option field, meaning that BNC's comments are not saved in a file.
-</p>
-<p>
-Note that a connection to the NTRIP broadcaster may break or a stream requested may be temporarily unavailable. When this happens, a reconnect is tried with decreasing frequency. BNC first tries to reconnect with 1 second delay, if unsuccessful, tries again in 2 seconds from the last attempt, if still unsuccessful tries with 4 seconds from the last attempt etc. Each attempt doubles the delay from the previous attempt. The maximum delay between attempts is limited to 60 seconds. The reconnection process is documented in 'Log file'.
-</p> 
+BNC comments its activities in the 'Log file' section on the main windows. Comments can be saved and concatenated in a file when entering a full path for 'Log file'. Information is given about the communication between BNC and the NTRIP broadcaster as well as about problems that occur concerning communication link, stream availability, stream delay, stream conversion etc. Default value for 'Log file' is an empty option field, meaning that BNC comments are not saved in a file.
+</p>
 
 <a name="start">
@@ -292,11 +296,8 @@
 <p><h4>B - 10. No Window - optional</h4></p>
 <p>
-On all systems you may like to use BNC in batch mode with the command line
-option -nw. BNC then runs in 'no window' mode, reading options from the
-configuration file ${HOME}/.config/BKG/BNC_NTRIP_Client (Unix/Linux) or from
-the registers (Windows).
-</p>
-<p>
-Note that the self-explaining contents of the configuration file can easily be edited and option -nw is not available under Windows. 
+You can use BNC in batch mode with the command line option -nw. BNC then runs in 'no window' mode, reading options from the configuration file ${HOME}/.config/BKG/BNC_NTRIP_Client (Unix/Linux) or from the registers (Windows).
+</p>
+<p>
+Note that the self-explaining contents of the configuration file or the Windows registers can easily be edited.
 </p> 
 <br>
@@ -305,4 +306,7 @@
 <ul>
 <li>
+A connection to the NTRIP broadcaster may break or a stream requested may be temporarily unavailable. Furthermore, a connection is interpreted by BNC to be broken if no data is coming in for a period of 20 seconds. When this happens, a reconnect is tried with decreasing frequency. BNC first tries to reconnect with ~1 second delay, if unsuccessful, tries again in ~2 seconds from the last attempt, if still unsuccessful tries with ~4 seconds from the last attempt etc. Each attempt doubles the delay from the previous attempt. The maximum delay between attempts is limited to ~128 seconds. The reconnection process is documented in 'Log file'.
+</li> 
+<li>
 So far BNC only handles GPS data while ignoring GLONASS and Galileo observations. Furthermore, its function is limited today to processing L1, L2, P1, and P2 observations only.
 </li>
@@ -325,19 +329,19 @@
 </li>
 <li>
-BNC's 'Get Table' function only informs about the STR records of a sourcetable. Note that you can use an Internet browser to download the full sourcetable contents of any NTRIP broadcaster by simply entering its URL: http://host:port/dummy. Data field number 8 of the NET records may provide information about where to register for an NTRIP broadcaster account.
-</li>
-<li>
-EUREF as well as IGS follow an open data policy. Streams are made available through NTRIP broadcasters at <u>www.euref-ip.net</u> and <u>www.igs-ip.net</u> free of charge to anybody for any purpose. It is not clear today how many users will have to be supported simultaneously. The situation may develop in a way that it becomes difficult to serve all registered users at any time.  In case limited dissemination resources on the NTRIP broadcaster side (software restrictions, bandwidth limitation etc.) make it necessary, first priority in stream provision will be given to stream providers, real-time analysis centres, and re-broadcasting activities while access for others may be temporarily denied. 
-</li>
-</ul>
-<br>
+BNC's 'Get Table' function only informs about the STR records of a sourcetable. Note that you can use an Internet browser to download the full sourcetable contents of any NTRIP broadcaster by simply entering its URL plus a dummy string in the form http://host:port/dummy. Data field number 8 of the NET records that may show up may provide information about where to register for an NTRIP broadcaster account.
+</li>
+<li>
+EUREF as well as IGS follow an open data policy. Streams are made available through NTRIP broadcasters at <u>www.euref-ip.net</u> and <u>www.igs-ip.net</u> free of charge to anybody for any purpose. It is not clear today how many users will have to be supported simultaneously. The situation may develop in a way that it becomes difficult to serve all registered users at any time.  In case limited dissemination resources on the NTRIP broadcaster side (software restrictions, bandwidth limitation etc.) make it necessary, first priority in stream provision will be given to stream providers, re-broadcasting activities, and real-time analysis centres while access for others may be temporarily denied.
+</li>
+<br>
+</ul>
 <a name="authors">
 <p><h3>D - Authors</h3></p>
 <p>
-Basically BNC is an NTRIP Qt Graphic User Interface (GUI) developed for the Federal Agency for Cartography and Geodesy (BKG) by Leos Mervart (Czech Technical University Prague, Department of Advanced Geodesy). BNC integrates the following already existing GNU GPL software components: 
-<ul>
-<li> RTCM 2.x decoder, written by John Sager with contributions from Carsten Becker (German Aerospace Center, DLR, Neustrelitz)</li> 
-<li> RTCM 3 decoder, written for BKG by Dirk Stoecker (Euronik GmbH, Schoenefeld)</li> 
-<li> RTIGS decoder, written by Ken MacLeod (Natural Resources Canada, NRCan)</li> 
+The BKG Ntrip Client (BNC) Qt Graphic User Interface (GUI) has been developed for the Federal Agency for Cartography and Geodesy (BKG) by Leos Mervart, Czech Technical University Prague, Department of Advanced Geodesy. BNC integrates the following GNU GPL software components: 
+<ul>
+<li> RTCM 2.x decoder, written by John Sager with contributions from Carsten Becker, German Aerospace Center, DLR, Neustrelitz</li> 
+<li> RTCM 3 decoder, written for BKG by Dirk Stoecker, Euronik GmbH, Schoenefeld</li> 
+<li> RTIGS decoder, written by Ken MacLeod, Natural Resources Canada, NRCan</li> 
 </ul>
 </p>
@@ -356,4 +360,5 @@
 <p><h3>E - Links</h3></p>
 <table>
+<tr></tr>
 <tr><td>NTRIP &nbsp;</td><td><u>http://igs.bkg.bund.de/index_ntrip.htm</u></td></tr>
 <tr><td>EUREF-IP NTRIP broadcaster &nbsp;</td><td><u>http://www.euref-ip.net/home</u></td></tr>
@@ -363,5 +368,5 @@
 <tr><td>Real-Time IGS Working Group &nbsp;</td><td><u>http://igscb.jpl.nasa.gov/projects/rtwg/index.html</u>
 </table>
-<br><br>
+<br>
 
 <a name="annex">
@@ -402,5 +407,5 @@
 <li>Enables streaming over mobile IP networks because of using TCP/IP.</li>
 </ul>
-</p><br>
+</p>
 
 <a name="source">
@@ -417,4 +422,7 @@
 Sourcetable records of type NET contain the following data fields: 'identifiey', 'operator', 'authentication', 'fee', 'web-net', 'web-str', 'web-reg', 'misc'.
 </p>
+<p>
+Sourcetable records of type CAS contain the following data fields: 'host', 'port', 'identifier', 'operator', 'nmea', 'country', 'latitude', 'longitude', 'misc'.
+</p>
 
 <a name="rtcm">
@@ -431,5 +439,5 @@
 <p><h4>F - 2.1 RTCM Version 2.x</h4></p>
 <p>
-Transmitting GNSS carrier phase data can be done through RTCM Version 2.x messages. Message that may be of interest here are types 1, 2, 3, 6, 9, 16,18/19, 20/21, and 22.
+Transmitting GNSS carrier phase data can be done through RTCM Version 2.x messages. Messages that may be of interest here are types 1, 2, 3, 6, 9, 16,18/19, 20/21, and 22.
 </p>
 
@@ -467,5 +475,5 @@
 </p>
 <p>
-RTCM Version 3 defines a number of message types. Among them are the following:
+RTCM Version 3 defines a number of message types. Messages that may be of interest here are:
 </p>
 <ul>
@@ -504,5 +512,2 @@
 </p>
 
-
-
-
Index: trunk/BNC/bncrinex.cpp
===================================================================
--- trunk/BNC/bncrinex.cpp	(revision 198)
+++ trunk/BNC/bncrinex.cpp	(revision 199)
@@ -112,5 +112,115 @@
   QDate nextDate;
 
-  if (intStr == "15 min") {
+  if (intStr == "5 min") {
+    char ch = 'A' + datTim.time().hour();
+    hlpStr = ch;
+    if      (datTim.time().minute() < 5) {
+      hlpStr += "00";
+      nextTime.setHMS(datTim.time().hour(), 5, 0);
+      nextDate = datTim.date();
+    }
+    else if (datTim.time().minute() < 10) {
+      hlpStr += "5";
+      nextTime.setHMS(datTim.time().hour(), 10, 0);
+      nextDate = datTim.date();
+    }
+    else if (datTim.time().minute() < 15) {
+      hlpStr += "10";
+      nextTime.setHMS(datTim.time().hour(), 15, 0);
+      nextDate = datTim.date();
+    }
+    else if (datTim.time().minute() < 20) {
+      hlpStr += "15";
+      nextTime.setHMS(datTim.time().hour(), 20, 0);
+      nextDate = datTim.date();
+    }
+    else if (datTim.time().minute() < 25) {
+      hlpStr += "20";
+      nextTime.setHMS(datTim.time().hour(), 25, 0);
+      nextDate = datTim.date();
+    }
+    else if (datTim.time().minute() < 30) {
+      hlpStr += "25";
+      nextTime.setHMS(datTim.time().hour(), 30, 0);
+      nextDate = datTim.date();
+    }
+    else if (datTim.time().minute() < 35) {
+      hlpStr += "30";
+      nextTime.setHMS(datTim.time().hour(), 35, 0);
+      nextDate = datTim.date();
+    }
+    else if (datTim.time().minute() < 40) {
+      hlpStr += "35";
+      nextTime.setHMS(datTim.time().hour(), 40, 0);
+      nextDate = datTim.date();
+    }
+    else if (datTim.time().minute() < 45) {
+      hlpStr += "40";
+      nextTime.setHMS(datTim.time().hour(), 45, 0);
+      nextDate = datTim.date();
+    }
+    else if (datTim.time().minute() < 50) {
+      hlpStr += "45";
+      nextTime.setHMS(datTim.time().hour(), 50, 0);
+      nextDate = datTim.date();
+    }
+    else if (datTim.time().minute() < 55) {
+      hlpStr += "50";
+      nextTime.setHMS(datTim.time().hour(), 55, 0);
+      nextDate = datTim.date();
+    }
+    else {
+      hlpStr += "55";
+      if (datTim.time().hour() < 23) {
+        nextTime.setHMS(datTim.time().hour() + 1 , 0, 0);
+        nextDate = datTim.date();
+      }
+      else {
+        nextTime.setHMS(0, 0, 0);
+        nextDate = datTim.date().addDays(1);
+      }
+    }
+  }
+  else if (intStr == "10 min") {
+    char ch = 'A' + datTim.time().hour();
+    hlpStr = ch;
+    if      (datTim.time().minute() < 10) {
+      hlpStr += "00";
+      nextTime.setHMS(datTim.time().hour(), 10, 0);
+      nextDate = datTim.date();
+    }
+    else if (datTim.time().minute() < 20) {
+      hlpStr += "10";
+      nextTime.setHMS(datTim.time().hour(), 20, 0);
+      nextDate = datTim.date();
+    }
+    else if (datTim.time().minute() < 30) {
+      hlpStr += "20";
+      nextTime.setHMS(datTim.time().hour(), 30, 0);
+      nextDate = datTim.date();
+    }
+    else if (datTim.time().minute() < 40) {
+      hlpStr += "30";
+      nextTime.setHMS(datTim.time().hour(), 40, 0);
+      nextDate = datTim.date();
+    }
+    else if (datTim.time().minute() < 50) {
+      hlpStr += "40";
+      nextTime.setHMS(datTim.time().hour(), 50, 0);
+      nextDate = datTim.date();
+    }
+    else {
+      hlpStr += "50";
+      if (datTim.time().hour() < 23) {
+        nextTime.setHMS(datTim.time().hour() + 1 , 0, 0);
+        nextDate = datTim.date();
+      }
+      else {
+        nextTime.setHMS(0, 0, 0);
+        nextDate = datTim.date().addDays(1);
+      }
+    }
+  }
+  else if (intStr == "15 min") {
     char ch = 'A' + datTim.time().hour();
     hlpStr = ch;
@@ -132,4 +242,24 @@
     else {
       hlpStr += "45";
+      if (datTim.time().hour() < 23) {
+        nextTime.setHMS(datTim.time().hour() + 1 , 0, 0);
+        nextDate = datTim.date();
+      }
+      else {
+        nextTime.setHMS(0, 0, 0);
+        nextDate = datTim.date().addDays(1);
+      }
+    }
+  }
+  else if (intStr == "30 min") {
+    char ch = 'A' + datTim.time().hour();
+    hlpStr = ch;
+    if      (datTim.time().minute() < 30) {
+      hlpStr += "00";
+      nextTime.setHMS(datTim.time().hour(), 30, 0);
+      nextDate = datTim.date();
+    }
+    else {
+      hlpStr += "30";
       if (datTim.time().hour() < 23) {
         nextTime.setHMS(datTim.time().hour() + 1 , 0, 0);
Index: trunk/BNC/bncwindow.cpp
===================================================================
--- trunk/BNC/bncwindow.cpp	(revision 198)
+++ trunk/BNC/bncwindow.cpp	(revision 199)
@@ -31,4 +31,7 @@
 
   int ww = QFontMetrics(this->font()).width('w');
+  
+  static const QStringList labels = QString("account,mountpoint,"
+    "decoder,bytes").split(",");
 
   setMinimumSize(60*ww, 80*ww);
@@ -118,5 +121,5 @@
   _rnxIntrComboBox->setMaximumWidth(9*ww);
   _rnxIntrComboBox->setEditable(false);
-  _rnxIntrComboBox->addItems(QString("15 min,1 hour,1 day").split(","));
+  _rnxIntrComboBox->addItems(QString("5 min,10 min,15 min,30 min,1 hour,1 day").split(","));
   int ii = _rnxIntrComboBox->findText(settings.value("rnxIntr").toString());
   if (ii != -1) {
@@ -132,6 +135,7 @@
   _logFileLineEdit    = new QLineEdit(settings.value("logFile").toString());
   _mountPointsTable   = new QTableWidget(0,4);
-  _mountPointsTable->horizontalHeader()->setResizeMode(QHeaderView::Stretch);
-  _mountPointsTable->horizontalHeader()->hide();
+  _mountPointsTable->horizontalHeader()->setResizeMode(QHeaderView::Interactive);
+  _mountPointsTable->setHorizontalHeaderLabels(labels);
+//  _mountPointsTable->horizontalHeader()->hide();
   _mountPointsTable->verticalHeader()->hide();
   _mountPointsTable->setGridStyle(Qt::NoPen);
@@ -180,8 +184,8 @@
   _log->setReadOnly(true);
 
-  layout->addWidget(new QLabel("Proxy host"),                    0, 0);
-  layout->addWidget(_proxyHostLineEdit,                          0, 1);
-  layout->addWidget(new QLabel("Proxy port"),                    0, 2);
-  layout->addWidget(_proxyPortLineEdit,                          0, 3);
+  layout->addWidget(new QLabel("Proxy host"),                    0, 0, 1, 2);
+  layout->addWidget(_proxyHostLineEdit,                          0, 2);
+  layout->addWidget(new QLabel("Proxy port"),                    0, 3);
+  layout->addWidget(_proxyPortLineEdit,                          0, 4);
 
   layout->addWidget(new QLabel("Wait for full epoch"),           1, 0, 1, 2);
@@ -194,5 +198,5 @@
   layout->addWidget(_outPortLineEdit,                            3, 2);
 
-  layout->addWidget(new QLabel("RINEX path"),                    4, 0, 1, 2);
+  layout->addWidget(new QLabel("RINEX directory path"),          4, 0, 1, 2);
   layout->addWidget(_rnxPathLineEdit,                            4, 2, 1, 3);
 
@@ -211,5 +215,5 @@
   layout->addWidget(_mountPointsTable,                           9, 0, 1, 5);
 
-  layout->addWidget(new QLabel("Log (full path)"),              10, 0, 1, 2);
+  layout->addWidget(new QLabel("Log file (full path)"),          10, 0, 1, 2);
   layout->addWidget(_logFileLineEdit,                           10, 2, 1, 3);
   layout->addWidget(_log,                                       11, 0, 1, 5);