Index: /trunk/BNC/bnchelp.html
===================================================================
--- /trunk/BNC/bnchelp.html	(revision 287)
+++ /trunk/BNC/bnchelp.html	(revision 288)
@@ -8,5 +8,5 @@
 </p>
 <p>
-BNC is written under GNU General Public License (GPL). Binaries for BNC are available for Windows, Linux, and Solaris systems. It is likely that BNC can be compiled on other systems where a GNU compiler and Qt Version 4.0.1 are installed.
+BNC has been written under GNU General Public License (GPL). Binaries for BNC are available for Windows, Linux, and Solaris systems. It is likely that BNC can be compiled on other systems where a GNU compiler and Qt Version 4.0.1 are installed.
 </p>
 <h3>Contents</h3>
@@ -29,7 +29,7 @@
 
 <ul>
-<li>Retrieve real-time GNSS data streams available through NTRIP transport protocol,</li> 
-<li>Generate high-rate RINEX files to support near real-time GNSS post-processing applications, and/or</li> 
-<li>Output synchronize observations epoch by epoch through an IP port to support real-time GNSS engines.</li> 
+<li>retrieve real-time GNSS data streams available through NTRIP transport protocol,</li> 
+<li>generate high-rate RINEX files to support near real-time GNSS post-processing applications, and/or</li> 
+<li>output synchronize observations epoch by epoch through an IP port to support real-time GNSS engines.</li> 
 </ul>
 <p>
@@ -43,5 +43,5 @@
 </p>
 <p><b>Warning</b><br>
-BNC has the capacity to retrieve hundreds of GNSS data streams simultaneously. Please understand that it is a powerful tool that may generate a heavy workload on the NTRIP broadcaster side depending on the number of streams it requests. It is recommended to limited the number of streams where possible to avoid unnecessary workload.
+BNC has the capacity to retrieve hundreds of GNSS data streams simultaneously. Please be aware that it is a powerful tool that may generate a heavy workload on the NTRIP broadcaster side depending on the number of streams it requests. We suggest to limited the number of streams where possible to avoid unnecessary workload.
 </p>
 <p>
@@ -83,12 +83,12 @@
 <ul>
 <li>
-Select an appropriate font.<br>
+select an appropriate font.<br>
 Use a small font size if the BNC main window exceeds the size of your screen.
 </li> 
-<li> Save selected options.<br>
+<li> save selected options.<br>
 Note that on Windows systems options are saved in register BKG_NTRIP_Client. On Unix/Linux systems options are saved in file ${HOME}/.config/BKG/BKG_NTRIP_Client.conf.
 </li>
 <li>
-Quit the execution of BNC.
+quit the execution of BNC.
 </li> 
 </ul>
@@ -102,9 +102,9 @@
 <ul>
 <li>
-General information about BNC.<br>
+general information about BNC.<br>
 Close the 'About BNC' window to continue with BNC.
 </li> 
 <li>
-Help contents.<br>
+help contents.<br>
 You may keep the 'Help Contents' window open while setting BNC options.
 </li> 
@@ -116,7 +116,7 @@
 
 <p>
-You may like to run BNC in a Local Area Network (LAN). LAN's are often protected by a proxy server. Enter your proxy server IP and port number in case one is operated in front of BNC. If you don't know the IP and port of your proxy server, check out the proxy server settings of your Internet browser or ask your network administrator.</p>
-<p>
-Note that IP streaming may be generally denied in a LAN. In such a case you need to request an appropriate modification of the security policy from your network administrator or ask for the installation of a TCP relay to involved NTRIP broadcasters. If that doesn't work out, run BNC outside your LAN on a host that is connected to the Internet through an Internet Service Provider (ISP).
+You may like to run BNC in a Local Area Network (LAN). LANs are often protected by a proxy server. Enter your proxy server IP and port number in case one is operated in front of BNC. If you don't know the IP and port of your proxy server, check out the proxy server settings of your Internet browser or ask your network administrator.</p>
+<p>
+Note that IP streaming may generally be denied in a LAN. In such a case you need to ask for an appropriate modification of the security policy from your network administrator or for the installation of a TCP relay to involved NTRIP broadcasters. If that doesn't work, run BNC outside your LAN on a host that is connected to the Internet through an Internet Service Provider (ISP).
 </p>
 
@@ -132,5 +132,5 @@
 <p><h4>B - 4.1 Wait for Full Epoch - optional</h4></p>
 <p>
-When feeding a real-time GNSS engine waiting for input epoch by epoch, BNC ignores whatever is received later then 'Wait for full epoch' seconds. A value of 3 to 5 seconds may be an appropriate choice for that, depending on the latency of the incoming streams and the delay you can accept for your real-time GNSS product. Default value for 'Wait for full epoch' is 1 second.
+When feeding a real-time GNSS engine waiting for input epoch by epoch, BNC ignores whatever is received later than 'Wait for full epoch' seconds. A value of 3 to 5 seconds could be an appropriate choice for that, depending on the latency of the incoming streams and the delay you would accept for your real-time GNSS product. Default value for 'Wait for full epoch' is 1 second.
 </p>
 <p>
@@ -148,5 +148,5 @@
 <p>
 BNC makes synchronized observations available in a binary format on your local host (IP 127.0.0.1) through an IP port. Enter an IP port number to activate this function. Default is an empty option field, meaning that no binary output is generated.</p>
-<p>The binary output is provided as a continuous stream in the order</p>
+<p>The binary output is provided as a continuous stream in the order of</p>
 <pre>
 begEpoch
@@ -194,8 +194,8 @@
 </p>
 <p>
-For those streams that show mountpoints with an identical 4Char Station ID (same first 4 characters), the mountpoint strings are split in two sub-strings and both become part of the RINEX file name. Example: When simultaneously retrieving data from mountpoints FRANKFURT and FRANCE, their hourly RINEX observation file names are defined as</p>
-<p>
-FRAN{ddd}{h}_KFURT.{yy}<br>
-FRAN{ddd}{h}_CE.{yy}O
+For those streams that show mountpoints with an identical 4Char Station ID (same first 4 characters), the mountpoint strings are split into two sub-strings and both become part of the RINEX file name. Example: When simultaneously retrieving data from mountpoints FRANKFURT and FRANCE, their hourly RINEX observation file names are defined as</p>
+<p>
+FRAN{ddd}{h}_KFURT.{yy}O<br>
+FRAN{ddd}{h}_CE.{yy}O.
 </p>
 <p>
@@ -203,5 +203,5 @@
 <p>
 BRUS{ddd}{h}_0.{yy}O<br>
-BRUS{ddd}{h}_1.{yy}O
+BRUS{ddd}{h}_1.{yy}O.
 </p>
 <p>
@@ -226,5 +226,5 @@
 <p><h4>B - 5.2 RINEX Script - optional</h4></p>
 <p>
-Whenever a RINEX file is saved, you may like to compress, copy, or upload it immediately via FTP. For that you enter the full path of a script or batch file carrying out these operations. The RINEX file path will be passed to the script as a command line parameter (%1 on Windows systems, $1 on Unix/Linux systems).
+Whenever a RINEX file is saved, you may like to compress, copy or upload it immediately via FTP. For that you enter the full path of a script or batch file carrying out these operations. The RINEX file path will be passed to the script as a command line parameter (%1 on Windows systems, $1 on Unix/Linux systems).
 </p> 
 
@@ -244,5 +244,5 @@
 <p><h4>B - 5.5 RINEX Skeleton Extension - optional</h4></p>
 <p>
-BNC lets you introduce RINEX header skeleton files that contain the header records you would like to see instead of a default header. You may like to derive RINEX skeleton files from the information given in sitelogs. A file in the 'RINEX directory' with the 'RINEX skeleton extension' is understood by BNC as a RINEX header skeleton file for the affected stream.
+BNC lets you introduce RINEX header skeleton files that contain the header records you would like to see instead of a default header. You may like to derive RINEX skeleton files from the information given in sitelogs. A file in the 'RINEX directory' with the 'RINEX skeleton extension' is interpreted by BNC as a RINEX header skeleton file for the affected stream.
 </p>
 <p>
@@ -264,5 +264,5 @@
 <br>&nbsp; &nbsp; # / TYPES OF OBSERVATIONS
 <br>&nbsp; &nbsp; TIME OF FIRST OBS
-<br>The existence of these empty records force BNC to include such lines in the final RINEX file header together with an additional COMMENT line mentioning the source of the stream.
+<br>The existence of these empty records force BNC to include such lines in the final RINEX file header together with an additional COMMENT line quoting the source of the stream.
 <li>They must contain an empty header record of type</li>
 <br>&nbsp; &nbsp; END OF HEADER
@@ -274,5 +274,5 @@
 <p><h4>B - 5.6 Append Files</h4></p>
 <p>
-When starting BNC, new RINEX files are created by default. Probably existing files are overwritten. However, it may be desirable to append observations to already existing RINEX files following a restart of BNC after an intentional 'Stop', a system crash, or a crash of BNC. Hit 'Append files' to continue with already existing files and thus save what has been recorded so far. Note that the option 'Append files' also concerns the 'ASCII output file' and the 'Log' file.
+When starting BNC, new RINEX files are created by default. Probably existing files will be overwritten. However, it may be desirable to append observations to already existing RINEX files following a restart of BNC after an intentional 'Stop', a system crash or a crash of BNC. Hit 'Append files' to continue with already existing files and thus save what has been recorded so far. Note that the option 'Append files' also concerns the 'ASCII output file' and the 'Log' file.
 </p> 
 
@@ -280,5 +280,5 @@
 <p><h4>B - 6. Mountpoints</h4></p>
 <p>
-Each stream on an NTRIP broadcaster is defined through a unique source ID called mountpoint. An NTRIP client like BNC can access the data of a desired stream by its mountpoint. Information about mountpoints is available through the sourcetable maintained by the NTRIP broadcaster. Note that it may happen that mountpoints show up in BNC more than once when retrieving streams from several NTRIP broadcasters.
+Each stream on an NTRIP broadcaster is defined through a unique source ID called mountpoint. An NTRIP client like BNC can access the data of a desired stream by its mountpoint. Information about mountpoints is available through the source-table maintained by the NTRIP broadcaster. Note that mountpoints could show up in BNC more than once when retrieving streams from several NTRIP broadcasters.
 </p> 
 
@@ -286,5 +286,5 @@
 <p><h4>B - 6.1 Add Mountpoints</h4></p>
 <p>
-Button 'Add Mountpoints' opens a window that lets you select data streams from an NTRIP broadcaster by their mountpoints.
+Button 'Add Mountpoints' opens a window that allows you to select data streams from an NTRIP broadcaster by their mountpoints.
 </p> 
 
@@ -298,5 +298,5 @@
 <p><h4>B - 6.3 Broadcaster User and Password - mandatory for protected streams</h4></p>
 <p>
-Streams on NTRIP broadcasters may be password protected. Enter a valid 'User' ID and 'Password' for access to protected NTRIP broadcaster streams. Accounts are usually provided per NTRIP broadcaster through a registration procedure. Register through <u>http://igs.bkg.bund.de/index_ntrip_reg.htm</u> for access to protected streams on <u>www.euref-ip.net</u> and <u>www.igs-ip.net</u>.
+Streams on NTRIP broadcasters might be protected by password. Enter a valid 'User' ID and 'Password' for access to protected NTRIP broadcaster streams. Accounts are usually provided per NTRIP broadcaster through a registration procedure. Register through <u>http://igs.bkg.bund.de/index_ntrip_reg.htm</u> for access to protected streams on <u>www.euref-ip.net</u> and <u>www.igs-ip.net</u>.
 </p> 
 
@@ -304,5 +304,5 @@
 <p><h4>B - 6.4 Get Table</h4></p>
 <p>
-Hit button 'Get Table' to download the sourcetable from the NTRIP broadcaster. Pay attention to data fields 'format' and 'format-details'. Have in mind that BNC can only decode and convert streams that come in RTCM 2.x, RTCM 3, or RTIGS format. RTCM 2.x streams must contain message types 18 and 19 while RTCM 3 streams must contain message types 1001 or 1003, better 1003 or 1004 (GPS), 1009 or 1010, better 1011 or 1012 (GLONASS), see data field 'format-details' for available message types and their repetition rates in brackets. Select your streams line by line, use +Shift and +Ctrl when necessary.
+Hit button 'Get Table' to download the source-table from the NTRIP broadcaster. Please pay attention to data fields 'format' and 'format-details'. Keep in mind that BNC can only decode and convert streams that come in RTCM 2.x, RTCM 3, or RTIGS formats. RTCM 2.x streams must contain message types 18 and 19 while RTCM 3 streams must contain message types 1001 or 1003, better 1003 or 1004 (GPS), 1009 or 1010, even better 1011 or 1012 (GLONASS), see data field 'format-details' for available message types and their repetition rates in brackets. Select your streams line by line, use +Shift and +Ctrl when necessary.
 </p> 
 <p>
@@ -313,10 +313,10 @@
 <p><h4>B - 6.5 Delete Mountpoints</h4></p>
 <p>
-To delete a stream shown under 'Mountpoints' in the main window select it by mouse click and hit 'Delete Mountpoints'. For simultaneous deletion of several streams highlight them using +Shift and +Ctrl.</p>
+To delete a stream shown under 'Mountpoints' in the main window, select it by mouse click and hit 'Delete Mountpoints'. For a simultaneous deletion of several streams highlight them using +Shift and +Ctrl.</p>
 
 <a name="edit">
 <p><h4>B - 6.6 Edit Mountpoints</h4></p>
 <p>
-BNC automatically selects one out of several incorporated decoders for a stream based on its 'format' and 'format-details' as given in the sourcetable. It may happen that you need to overrule the automated decoder selection because of sourcetable setup deficiencies. Therefore BNC allows to edit (double-click) the decoder string for each stream shown under 'Mountpoints'. Accepted decoder strings allowed to be introduced are 'RTCM_2.x', 'RTCM_3', and 'RTIGS'.
+BNC automatically selects one out of several incorporated decoders for a stream based on its 'format' and 'format-details' as given in the source-table. It may happen that you need to overrule the automated decoder selection because of source-table setup deficiencies. Therefore BNC allows to edit (double-click) the decoder string for each stream shown under 'Mountpoints'. Accepted decoder strings allowed to be introduced are 'RTCM_2.x', 'RTCM_3', and 'RTIGS'.
 </p> 
 
@@ -324,5 +324,5 @@
 <p><h4>B - 7. Log - optional</h4></p>
 <p>
-BNC comments its activities in the 'Log' section on the main windows. Comments can be saved and concatenated in a file when entering a full path for 'Log' file. Information is given about the communication between BNC and the NTRIP broadcaster as well as about problems that may occur concerning communication link, stream availability, stream delay, stream conversion etc. Default value for 'Log' is an empty option field, meaning that BNC comments are not saved in a file.
+BNC comments its activities in the 'Log' section on the main windows. Comments can be saved in a file when entering a full path for 'Log' file. Information is given on the communication between BNC and the NTRIP broadcaster as well as on problems that may occur concerning communication link, stream availability, stream delay, stream conversion etc. Default value for 'Log' is an empty option field, meaning that BNC comments are not saved in a file.
 </p>
 
@@ -336,5 +336,5 @@
 <p><h4>B - 9. Stop</h4></p>
 <p>
-Hit the 'Stop' button to stop BNC. 
+Hit the 'Stop' button in order to stop BNC. 
 </p> 
 
@@ -352,5 +352,5 @@
 <ul>
 <li>
-The connection to an NTRIP broadcaster may break or a stream requested may be temporarily unavailable. Furthermore, a connection is interpreted by BNC to be broken if no data is coming in for a period of 20 seconds. When this happens, a reconnect is tried with decreasing frequency. BNC first tries to reconnect with ~1 second delay, if unsuccessful, tries again in ~2 seconds from the last attempt, if still unsuccessful tries with ~4 seconds from the last attempt etc. Each attempt doubles the delay from the previous attempt. The maximum delay between attempts is limited to ~128 seconds. The reconnection process is documented in the 'Log' file.
+The connection to an NTRIP broadcaster may possibly break or a stream requested may be temporarily unavailable. Furthermore, a connection is interpreted by BNC to be broken if no data is coming in for a period of 20 seconds. When this happens, a reconnect is being attempted with decreasing frequency. BNC first tries to reconnect with ~1 second delay, if unsuccessful, tries again in ~2 seconds from the last attempt, if still unsuccessful tries with ~4 seconds from the last attempt etc. Each attempt doubles the delay from the previous attempt. The maximum delay between attempts is limited to ~128 seconds. The reconnection process is documented in the 'Log' file.
 </li> 
 <li>
@@ -370,16 +370,16 @@
 <ul>
 <li>
-Header records can only represent data, which is known after receiving the very first epoch. Data rate, position, number of observations and any such additional fields cannot be provided.
-</li>
-<li>
-The number of observable cannot change during the program runtime. Only the observable, which exist in the first epoch are outputted. If there are new observable later on, these are ignored.
-</li>
-</ul>
-</li>
-<li>
-BNC's 'Get Table' function only informs about the STR records of a sourcetable. Note that you can use an Internet browser to download the full sourcetable contents of any NTRIP broadcaster by simply entering its URL plus a dummy string in the form http://host:port/dummy. Data field number 8 of the NET records that may show up may provide information about where to register for an NTRIP broadcaster account.
-</li>
-<li>
-EUREF as well as IGS follow an open data policy. Streams are made available through NTRIP broadcasters at <u>www.euref-ip.net</u> and <u>www.igs-ip.net</u> free of charge to anybody for any purpose. It is not clear today how many users will have to be supported simultaneously. The situation may develop in a way that it becomes difficult to serve all registered users at any time.  In case limited dissemination resources on the NTRIP broadcaster side (software restrictions, bandwidth limitation etc.) make it necessary, first priority in stream provision will be given to stream providers, re-broadcasting activities, and real-time analysis centers while access for others may be temporarily denied.
+Header records can only represent data, which are known after receiving the very first epoch. Data rate, position, number of observations and any such additional fields cannot be provided.
+</li>
+<li>
+The number of observable cannot change during the program runtime. Only the observable, which exist in the first epoch are outputted. If there are new observable later on, these are being ignored.
+</li>
+</ul>
+</li>
+<li>
+BNC's 'Get Table' function only informs about the STR records of a source-table. Note that you can use an Internet browser to download the full source-table contents of any NTRIP broadcaster by simply entering its URL plus a dummy string in the form http://host:port/dummy. Data field number 8 of the NET records that may show up may provide information about where to register for an NTRIP broadcaster account.
+</li>
+<li>
+EUREF as well as IGS follow an open data policy. Streams are made available through NTRIP broadcasters at <u>www.euref-ip.net</u> and <u>www.igs-ip.net</u> free of charge to anyone for any purpose. Up to now it is not clear how many users will have to be supported simultaneously. The given situation may develop in a way that becomes difficult to serve all registered users at all times.  In case limited dissemination resources on the NTRIP broadcaster side (software restrictions, bandwidth limitation etc.) make it necessary, first priority in stream provision will be given to stream providers, re-broadcasting activities, and real-time analysis centers while access for others might be temporarily denied.
 </li>
 <br>
@@ -392,9 +392,9 @@
 <li> RTCM 2.x decoder, written by Oliver Montenbruck, German Space Operations Center, DLR, Oberpfaffenhofen, with contributions from Leos Mervart</li> 
 <li> RTCM 3 decoder, written for BKG by Dirk Stoecker, Euronik GmbH, Schoenefeld</li> 
-<li> RTIGS decoder, written by Ken MacLeod, Natural Resources Canada, NRCan</li> 
-</ul>
-</p>
-<p>
-Note that this is a beta version of BNC provided for test and evaluation. Make sure you installed the latest version available from <u>http://igs.bkg.bund.de/index_ntrip_down.htm</u>. We are still working on the program and would appreciate if you could send your comments, suggestions, or bug reports to:
+<li> RTIGS decoder, written by Ken MacLeod, Natural Resources Canada, NRCan.</li> 
+</ul>
+</p>
+<p>
+Note that this is a beta version of BNC provided for test and evaluation. Please make sure you installed the latest version available from <u>http://igs.bkg.bund.de/index_ntrip_down.htm</u>. We are still working on the program and would appreciate if you sent your comments, suggestions, or bug reports to:
 </p>
 <p>
@@ -423,5 +423,5 @@
 <p>
 F - 1. <a href=#ntrip>NTRIP</a><br>
-&nbsp; &nbsp; &nbsp; E - 1.1 <a href=#source>Sourcetable</a><br>
+&nbsp; &nbsp; &nbsp; E - 1.1 <a href=#source>Source-table</a><br>
 F - 2. <a href=#rtcm>RTCM</a><br>
 &nbsp; &nbsp; &nbsp; F - 2.1 RTCM <a href=#rtcm2> Version 2.x</a><br>
@@ -452,5 +452,5 @@
 <li>Based on the popular HTTP streaming standard; comparatively easy to implement when having limited client and server platform resources available.</li>
 <li>Application not limited to one particular plain or coded stream content; ability to distribute any kind of GNSS data.</li>
-<li>Potential to support mass usage; disseminating hundreds of streams simultaneously for up to thousand users possible when applying modified Internet Radio broadcasting software.</li>
+<li>Potential to support mass usage; disseminating hundreds of streams simultaneously for thousands of users possible when applying modified Internet Radio broadcasting software.</li>
 <li>Considering security needs; stream providers and users don't necessarily get into contact, streams often not blocked by firewalls or proxy servers protecting Local Area Networks.</li>
 <li>Enables streaming over mobile IP networks because of using TCP/IP.</li>
@@ -459,18 +459,18 @@
 
 <a name="source">
-<p><h4>F - 1.1 Sourcetable</h4></p>
-
-<p>
-The NTRIP broadcaster maintains a sourcetable containing information on available NTRIP streams, networks of NTRIP streams, and NTRIP broadcasters. The sourcetable is sent to an NTRIP client on request. Sourcetable records are dedicated to one of the following: Data Streams (record type STR), Casters (record type CAS), or Networks of streams (record type NET).
-</p>
-
-<p>
-Sourcetable records of type STR contain the following data fields: 'mountpoint', 'identifier', 'format', 'format-details',  'carrier', 'nav-system', 'network', 'country',  'latitude', 'longitude', 'nmea', 'solution', 'generator', 'compr-encryp', 'authentication', 'fee', 'bitrate', 'misc'.
-</p>
-<p>
-Sourcetable records of type NET contain the following data fields: 'identifiey', 'operator', 'authentication', 'fee', 'web-net', 'web-str', 'web-reg', 'misc'.
-</p>
-<p>
-Sourcetable records of type CAS contain the following data fields: 'host', 'port', 'identifier', 'operator', 'nmea', 'country', 'latitude', 'longitude', 'misc'.
+<p><h4>F - 1.1 Source-table</h4></p>
+
+<p>
+The NTRIP broadcaster maintains a source-table containing information on available NTRIP streams, networks of NTRIP streams and NTRIP broadcasters. The source-table is sent to an NTRIP client on request. Source-table records are dedicated to one of the following: Data Streams (record type STR), Casters (record type CAS), or Networks of streams (record type NET).
+</p>
+
+<p>
+Source-table records of type STR contain the following data fields: 'mountpoint', 'identifier', 'format', 'format-details',  'carrier', 'nav-system', 'network', 'country',  'latitude', 'longitude', 'nmea', 'solution', 'generator', 'compr-encryp', 'authentication', 'fee', 'bitrate', 'misc'.
+</p>
+<p>
+Source-table records of type NET contain the following data fields: 'identifiey', 'operator', 'authentication', 'fee', 'web-net', 'web-str', 'web-reg', 'misc'.
+</p>
+<p>
+Source-table records of type CAS contain the following data fields: 'host', 'port', 'identifier', 'operator', 'nmea', 'country', 'latitude', 'longitude', 'misc'.
 </p>
 
@@ -479,5 +479,5 @@
 
 <p>
-The Radio Technical Commission for Maritime Services (RTCM) is an international non-profit scientific, professional and educational organization. Special Committees provide a forum in which government and non-government members work together to develop technical standards and consensus recommendations in regard to issues of particular concern. RTCM is engaged in the development of international standards for maritime radionavigation and radiocommunication systems. The output documents and reports prepared by RTCM Committees are published as RTCM Recommended Standards. Topics concerning Differential Global Navigation Satellite Systems (DGNSS) and handled by the Special Committee SC 104.
+The Radio Technical Commission for Maritime Services (RTCM) is an international non-profit scientific, professional and educational organization. Special Committees provide a forum in which governmental and non-governmental members work together to develop technical standards and consensus recommendations in regard to issues of particular concern. RTCM is engaged in the development of international standards for maritime radionavigation and radiocommunication systems. The output documents and reports prepared by RTCM Committees are published as RTCM Recommended Standards. Topics concerning Differential Global Navigation Satellite Systems (DGNSS) are handled by the Special Committee SC 104.
 <p>
 Copies of RTCM Recommended Standards can be ordered through <u>http://www.rtcm.org/orderinfo.php</u>.
@@ -488,5 +488,5 @@
 <p><h4>F - 2.1 RTCM Version 2.x</h4></p>
 <p>
-Transmitting GNSS carrier phase data can be done through RTCM Version 2.x messages. Note that only RTCM Version 2.3 streams may include GLONASS data. Messages that may be of interest here are of type 1, 2, 3, 6, 9, 16,18/19, 20/21, and 22.
+Transmitting GNSS carrier phase data can be done through RTCM Version 2.x messages. Please note that only RTCM Version 2.3 streams may include GLONASS data. Messages that may be of interest here are of type 1, 2, 3, 6, 9, 16,18/19, 20/21, and 22.
 </p>
 
@@ -550,5 +550,5 @@
 <p><h4>F - 3. RTIGS</h4></p>
 <p>
-RTIGS stands for a data format and transport protocol for GPS observations (no GLONASS). It has been defined by the Real-Time IGS Working Group (RTIGS WG). Its definition is based on the SOC format. Every RTIGS record has one of the following numbers:
+RTIGS stands for a data format and transport protocol for GPS observations (no GLONASS). It was defined by the Real-Time IGS Working Group (RTIGS WG). Its definition is based on the SOC format. Every RTIGS record has one of the following numbers:
 </p>
 <p>
@@ -583,5 +583,5 @@
 <li>An ephemeris message is output when the ephemeris is decoded by the GPS receiver. The time in the Ephemeris header is the collected time. Only one ephemeris can be bundled in a RTIGSE_T message.<br>
 A RTIGSE_T message contains one eph. The  message consists of 12 header bytes and 72 ephemeris bytes, for a total of 84 bytes.</li>
-<li>The RTIGSM_T  (met) message should be issues once every 15 minutes. A basic met message consists of a 12 byte header and 3 longs (temp, press and relative humidity) for a total of 24 bytes.</li>
+<li>The RTIGSM_T  (met) message should be issued once every 15 minutes. A basic met message consists of a 12 byte header and 3 longs (temp, press and relative humidity) for a total of 24 bytes.</li>
 </ul>
 <p>
@@ -589,8 +589,8 @@
 </p>
 <p>
-Each record header contains the GPS Time in seconds which is continuous from 6 Jan-1980.
-</p>
-<p>
-The data payload of each record consists of observations. The structures indicate a pointer to data but in fact the broadcast messages do not contain the pointer, only the data. Users will have to manage the data and the pointer is shown to illustrate where the data is located in the message and one possible data management option.
+Each record header contains the GPS Time in seconds which flows continuously from 6 Jan-1980 onwards.
+</p>
+<p>
+The data payload of each record consists of observations. The structures indicate a pointer to data but in fact the broadcast messages do not contain the pointer, only the data. Users will have to manage the data and the pointer is shown in order to illustrate where the data is located in the message and one possible data management option.
 </p>
 <p>