Index: trunk/ntripclient/NtripLinuxClient.c
===================================================================
--- trunk/ntripclient/NtripLinuxClient.c	(revision 325)
+++ trunk/ntripclient/NtripLinuxClient.c	(revision 326)
@@ -1,5 +1,5 @@
 /*
   Easy example NTRIP client for Linux/Unix.
-  $Id: NtripLinuxClient.c,v 1.20 2006/07/04 12:53:43 stoecker Exp $
+  $Id: NtripLinuxClient.c,v 1.21 2006/07/18 08:55:30 stoecker Exp $
   Copyright (C) 2003-2005 by Dirk Stoecker <soft@dstoecker.de>
     
@@ -41,6 +41,6 @@
 
 /* CVS revision and version */
-static char revisionstr[] = "$Revision: 1.20 $";
-static char datestr[]     = "$Date: 2006/07/04 12:53:43 $";
+static char revisionstr[] = "$Revision: 1.21 $";
+static char datestr[]     = "$Date: 2006/07/18 08:55:30 $";
 
 struct Args
@@ -163,5 +163,5 @@
 
   args->server = "www.euref-ip.net";
-  args->port = 80;
+  args->port = 2101;
   args->user = "";
   args->password = "";
@@ -223,5 +223,5 @@
     " -s " LONG_OPT("--server   ") "the server name or address\n"
     " -p " LONG_OPT("--password ") "the login password\n"
-    " -r " LONG_OPT("--port     ") "the server port number (default 80)\n"
+    " -r " LONG_OPT("--port     ") "the server port number (default 2101)\n"
     " -u " LONG_OPT("--user     ") "the user name\n"
     " -b " LONG_OPT("--bitrate  ") "output bitrate\n"
Index: trunk/ntripserver/NtripLinuxServer.c
===================================================================
--- trunk/ntripserver/NtripLinuxServer.c	(revision 325)
+++ trunk/ntripserver/NtripLinuxServer.c	(revision 326)
@@ -41,5 +41,5 @@
  */
 
-/* $Id: NtripLinuxServer.c,v 1.22 2006/08/03 15:36:57 stoecker Exp $
+/* $Id: NtripLinuxServer.c,v 1.23 2006/08/16 08:33:04 stoecker Exp $
  * Changes - Version 0.7
  * Sep 22 2003  Steffen Tschirpke <St.Tschirpke@actina.de>
@@ -92,4 +92,8 @@
  *           - fixed some problems with caster download
  *           - some minor cosmetic changes
+ *
+ * Changes - Version 0.18
+ * Nov 23 2006  Dirk Stoecker <soft@dstoecker.de>
+ *           - default port changed from 80 to 2101
  *
  */
@@ -125,10 +129,10 @@
 
 /* default socket source */
-#define SERV_HOST_ADDR  "127.0.0.1"
-#define SERV_TCP_PORT   1025
+#define SERV_HOST_ADDR  "localhost"
+#define SERV_TCP_PORT   2101
 
 /* default destination */
 #define NTRIP_CASTER    "www.euref-ip.net"
-#define NTRIP_PORT      80
+#define NTRIP_PORT     2101
 
 /* default sisnet source */
Index: trunk/rtcm3torinex/rtcm3torinex.c
===================================================================
--- trunk/rtcm3torinex/rtcm3torinex.c	(revision 325)
+++ trunk/rtcm3torinex/rtcm3torinex.c	(revision 326)
@@ -1,5 +1,5 @@
 /*
   Converter for RTCM3 data to RINEX.
-  $Id: rtcm3torinex.c,v 1.10 2006/11/15 12:31:31 stoecker Exp $
+  $Id: rtcm3torinex.c,v 1.11 2006/11/21 08:27:35 stoecker Exp $
   Copyright (C) 2005-2006 by Dirk Stoecker <stoecker@euronik.eu>
 
@@ -51,5 +51,5 @@
 
 /* CVS revision and version */
-static char revisionstr[] = "$Revision: 1.10 $";
+static char revisionstr[] = "$Revision: 1.11 $";
 
 static uint32_t CRC24(long size, const unsigned char *buf)
@@ -989,5 +989,5 @@
 
 #ifndef NO_RTCM3_MAIN
-static char datestr[]     = "$Date: 2006/11/15 12:31:31 $";
+static char datestr[]     = "$Date: 2006/11/21 08:27:35 $";
 
 /* The string, which is send as agent in HTTP request */
@@ -1154,5 +1154,5 @@
 
   args->server = "www.euref-ip.net";
-  args->port = 80;
+  args->port = 2101;
   args->user = "";
   args->password = "";
@@ -1212,5 +1212,5 @@
     " -s " LONG_OPT("--server     ") "the server name or address\n"
     " -p " LONG_OPT("--password   ") "the login password\n"
-    " -r " LONG_OPT("--port       ") "the server port number (default 80)\n"
+    " -r " LONG_OPT("--port       ") "the server port number (default 2101)\n"
     " -u " LONG_OPT("--user       ") "the user name\n"
     "or using an URL:\n%s ntrip:mountpoint[/username[:password]][@server[:port]]\n"
@@ -1286,10 +1286,10 @@
     if(!(he=gethostbyname(args.server)))
     {
-      perror("gethostbyname");
+      RTCM3Error("Function gethostbyname: %s\n", strerror(errno));
       exit(1);
     }
     if((sockfd = socket(AF_INET, SOCK_STREAM, 0)) == -1)
     {
-      perror("socket");
+      RTCM3Error("Function socket: %s\n", strerror(errno));
       exit(1);
     }
@@ -1301,5 +1301,5 @@
     sizeof(struct sockaddr)) == -1)
     {
-      perror("connect");
+      RTCM3Error("Function connect: %s\n", strerror(errno));
       exit(1);
     }
@@ -1344,5 +1344,5 @@
     if(send(sockfd, buf, (size_t)i, 0) != i)
     {
-      perror("send");
+      RTCM3Error("Function send: %s\n", strerror(errno));
       exit(1);
     }